using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.BaseData.Domain.Entities.OP
{
    [Description("峰谷配置表")]
    public partial class T_OP_PEAK_VALLEY_CONFIG : MesEntityBase
    {

        [Description("峰谷类型")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [EnumName("OPPeakValleyEunm")]
        public int TYPE { get; set; }

        /// <summary>
        /// 开始时间
        /// </summary>
        [Description("开始时间")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldLength(10)]
        public string START_TIME { get; set; }

        /// <summary>
        /// 结束时间
        /// </summary>
        [Description("结束时间")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldLength(10)]
        public string END_TIME { get; set; }

    }
}
